import request from '@/utils/request'

// 查询SmsPlatformKey列表
export function listSmsPlatformKey(query) {
    return request({
        url: '/api/v1/sms-platform-key',
        method: 'get',
        params: query
    })
}

// 查询SmsPlatformKey详细
export function getSmsPlatformKey (id) {
    return request({
        url: '/api/v1/sms-platform-key/' + id,
        method: 'get'
    })
}


// 新增SmsPlatformKey
export function addSmsPlatformKey(data) {
    return request({
        url: '/api/v1/sms-platform-key',
        method: 'post',
        data: data
    })
}

// 修改SmsPlatformKey
export function updateSmsPlatformKey(data) {
    return request({
        url: '/api/v1/sms-platform-key/'+data.id,
        method: 'put',
        data: data
    })
}

// 删除SmsPlatformKey
export function delSmsPlatformKey(data) {
    return request({
        url: '/api/v1/sms-platform-key',
        method: 'delete',
        data: data
    })
}

